libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_comment_query

declared in "vorbis/codec.h";

This function retrieves a comment string for a given tag in a vorbis_comment structure.

    extern char    *vorbis_comment_query(vorbis_comment *vc, const char *tag, int count);

### Parameters

vc
  Pointer to the vorbis_comment structure.
tag
  Pointer to a null-terminated string of the comment tag to look for. Tags are compared case-insensitively.
count
  The index of the comment string to retrieve. A value of 0 indicates the first comment whose tag matches tag. Use vorbis_comment_query_count to determine the number of matching comments.

### Return Values

> - A pointer to the comment string. The underlying buffer is owned by the vorbis_comment structure.
> - NULL on a nonexistent tag or if count is greater than or equal to the number of matching comments.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101